
QGIS Application - Feature request #363

Allow "Enable on the fly projection" to be a default

2006-10-28 05:55 PM - w5pny-w5pny-com -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Projection Support

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10422

Description

I find that I'd like "Enable on the fly projection" to

be on with most of the uses I have in QGIS, so it would

be much nicer to remove the check mark for this option

when I need to, rather than having to check it for every

new project I do.  Please provide a way for the user to select which

behavior should be the default.

Associated revisions

Revision 38752567 - 2011-03-06 09:38 PM - Borys Jurgiel

FEATURE: Select default CRS for new projects. Fixes #363

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15374 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 7de1303c - 2011-03-06 09:38 PM - Borys Jurgiel

FEATURE: Select default CRS for new projects. Fixes #363

git-svn-id: http://svn.osgeo.org/qgis/trunk@15374 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-02-12 07:34 AM - Paolo Cavallini

I think there are good reasons not to enable reprojection by defaults. I suggest to close this ticket.

#2 - 2008-02-12 08:24 AM - w5pny -

Since the request was to provide an option so that a user could make

enabling reprojection a default behavior, that would not mean

it would be the default out of the box.  What is an example of

a good reason not to do this????

#3 - 2008-07-10 11:00 AM - Maciej Sieczka -

Replying to [comment:4 w5pny]:
Since the request was to provide an option so that a user could make

enabling reprojection a default behavior, that would not mean

it would be the default out of the box.  What is an example of

a good reason not to do this????

Eg. digitisation with re-projection OTF is couple of times slower. Even plain rendering is slower too. In my work most of the times I don't need it enabled,

and having to enable it from to time is a better option for me than having to disable it each time I start QGIS.

Can we close this ticket?

#4 - 2008-07-10 01:24 PM - Tim Sutton

- Status changed from Open to Closed

- Resolution set to wontfix

Yes I'm going to close this ticket for now. We can re-evaluate default behaviour in the options dialog at a later date.

#5 - 2008-07-10 01:30 PM - springmeyer -

Hmm, I agree with the original poster that it would be very useful to allow the user to modify the default behavior of QGIS so that reprojection on the fly is

enabled.

I also agree with all parties here that it should not be default behavior, but it should be an option to make it so.

#6 - 2008-07-10 03:50 PM - Tim Sutton

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

I'll leave the ticket open and add an option to the options dialog "Enable on the fly projection by default for new projects" or something along those lines.

Note: Change wont be made for 0.11.0 release.

Regards

Tim

#7 - 2008-07-10 04:35 PM - springmeyer -

Tim,

 Sounds excellent.

#8 - 2009-06-26 11:17 AM - Paolo Cavallini

I still think this is not appropriate. OTFP is a computationally expensive option, so if an user selects it and forgets about it, he'll probably complain about a

slow QGIS. Resetting it when needed is not painful, so I suggest to leave it as an option, not a default.
#9 - 2009-06-26 11:23 AM - w5pny -

Replying to [comment:11 pcav]:

The request was to be able to SELECT whether or not OTFP is the default.

QGIS should continue to be distributed with OTFP not the default, but

users should be able to change that behavior if they choose.  A user

making that change presumably knows what he is doing.  Some of

us ONLY use OTFP and it is a real nuiscance on every new project

to have to set it.

#10 - 2010-09-20 04:49 AM - Paolo Cavallini

Could we implement this option? Looks an easy fix, and may be useful for some users. To prevent the critiques put forward above, a warning should be

enough.

#11 - 2010-09-20 05:35 AM - Borys Jurgiel

Please also remember about the default CRS. I believe we already have a gui for it - the 'defalut projection' in the Options dialog could be automagically

set everytime a fresh project is created.

Enabling OTFR without possibility to set the project default CRS will be half-useful only ;)

Another option is to implement project template(s). We would be able to put a default.qgs file to the ~/.qgis folder and set a default projection, OTFR state

etc. In case of saving such project Qgis should display a warning and allow to either update the template or redirect to save as.

#12 - 2011-03-05 12:12 AM - Alexander Bruy

Here is patch that adds an option to enable OTFP by default and selector for default CRS for it.

#13 - 2011-03-05 10:44 AM - Tim Sutton

- Status changed from Feedback to Open

I'm testing the patch here and will apply it with a few tweaks.

Thanks

Tim

#14 - 2011-03-05 01:53 PM - Tim Sutton

- Status changed from Open to Closed

- Resolution set to fixed

Committed Alex's patch (with minor edit to UI labels) as commit:79eb19eb (SVN r15345).

Updated after that to show user friendly CRS name rather than proj4 string (commit:4712317a (SVN r15346)).

Thanks Alex!
Regards

Tim

#15 - 2011-03-05 02:54 PM - Borys Jurgiel

Great, but... yet more messy than was before ;-)

For two years I try to force the possibilty to define default project CRS and I'm always told I'm stupid, but now we're really close and finally I see a ray of

hope for understanding! :DD

It's a really great step forward, that now I can select the default CRS for project, but... why ONLY when OTFR is enabled?

I mainly use my national CRS, so everytime when I start Qgis (or click "new project" to clear the workspace), I have to set the CRS. Now I have the

alternative: I can turn off the OTFR instead.

Why not to make the CRS selector independent on OTFR? Like that:

Use this CRS for new projects:  [EPSG:4326]

Use OTFR for new projects:      [x]

This way we also close the #1355.

Furthermore, the "global default CRS" above is confusing. Some users could think that it is the CRS for projects. The textarea is huge, so we put strong

accent on layer CRS and don't care about project CRS. This way we teach users to work with the project mindlessly set to the default 4326. So my second

suggestion is to decrease the accent put on the layer CRS (it's not "default CRS" but "default layer CRS" and the epithet "global" is unnecessary)

What do you think?

#16 - 2011-03-05 05:29 PM - Borys Jurgiel

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

There is my proposition attached. (by the way, I've updated the tabstops)

#17 - 2011-03-06 10:46 AM - Tim Sutton

Replying to [comment:21 borysiasty]:

Great, but... yet more messy than was before ;-)

For two years I try to force the possibilty to define default project CRS and I'm always told I'm stupid, but now we're really close and finally I see a

ray of hope for understanding! :DD

:-)

It's a really great step forward, that now I can select the default CRS for project, but... why ONLY when OTFR is enabled?
I mainly use my national CRS, so everytime when I start Qgis (or click "new project" to clear the workspace), I have to set the CRS. Now I have the

alternative: I can turn off the OTFR instead.

Why not to make the CRS selector independent on OTFR? Like that:

Use this CRS for new projects:  [EPSG:4326]

Use OTFR for new projects:      [x]

This way we also close the #1355.

Furthermore, the "global default CRS" above is confusing. Some users could think that it is the CRS for projects. The textarea is huge, so we put

strong accent on layer CRS and don't care about project CRS. This way we teach users to work with the project mindlessly set to the default 4326.

So my second suggestion is to decrease the accent put on the layer CRS (it's not "default CRS" but "default layer CRS" and the epithet "global" is

unnecessary)

What do you think?

I agree with your suggestions. Unfortunately I only saw them after commit:8469b947 (SVN r15361). Could you generate a fresh patch against trunk? I will

apply it then.

Regards

Tim

#18 - 2011-03-06 12:45 PM - Borys Jurgiel

- Status changed from Feedback to Closed

- Resolution set to fixed

Applied in commit:7de1303c (SVN r15375)

Files

otfr_by_default.diff 9.51 KB 2011-03-04 Alexander Bruy

projectDefaultCrs.diff 20.9 KB 2011-03-05 Borys Jurgiel

globalProjections.png 63.1 KB 2011-03-06 Borys Jurgiel
